Currently our AWS Lambda functions having the 6.8 node js version but it is ending the life of this month, Need to upgrade all the functions with the latest version.

In RunTime 8.10 version is available if we choose from RunTime the version will upgrade to 8.10....? And any other changes required or this is sufficient to upgrade the version.....?

2 Answers

0
dashmug On

It would depend on how your code and its dependencies were written. Most of the time, they should just work.

Only way to know is to try it out.

0
John Rotenstein On

Changing the runtime will not modify your code. It simply changes the engine that AWS Lambda uses to run your code.

It is your responsibility to ensure that the code operates correctly in the different runtime version. (It typically will, but you'll need to test it.)